﻿using System;
using System.Net;
using System.Windows;
using System.Windows.Controls;
using System.Windows.Documents;
using System.Windows.Ink;
using System.Windows.Input;
using System.Windows.Media;
using System.Windows.Media.Animation;
using System.Windows.Shapes;
using Telerik.Windows.Controls;
using Telerik.Windows.Controls.Calendar;

namespace ExamplePrj
{
    public class UpdatedDaySelector : DataTemplateSelector
    {
        public override DataTemplate SelectTemplate(object item, DependencyObject container)
        {
            CalendarButtonContentInfo info = item as CalendarButtonContentInfo;
            CalendarButton button = container as CalendarButton;

            if (!button.IsFromCurrentView) return null;
            if (info.Date == null) return null;

            if (info.Date.Value.DayOfWeek == DayOfWeek.Saturday ||
                info.Date.Value.DayOfWeek == DayOfWeek.Sunday ||
                info.Date.Value.DayOfWeek == DayOfWeek.Monday
                )
            {
                return SpecialTemplate;
            }

            return base.SelectTemplate(item, container);
        }

        public DataTemplate SpecialTemplate
        {
            get;
            set;
        }
    }
}
